Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# color_map_remap Class Reference

A colour map that remaps index numbers. More...

`#include <col_map.h>`

Inheritance diagram for color_map_remap:
[legend]
Collaboration diagram for color_map_remap:
[legend]

List of all members.

## Public Member Functions
color_map * | clone () const
| Get a copy of the map.
virtual col_val | get_col (int idx) const
| Get the colour value for an index number.

## Detailed Description

A colour map that remaps index numbers.

## Member Function Documentation

color_map* color_map_remap::clone | ( |  | ) | const`[inline, virtual]`

Get a copy of the map.

Returns:
  a pointer to the dynamically allocated copy, which must be freed by the caller with `delete`, 0 indicates that the clone failed.

Reimplemented from color_map.

virtual col_val color_map_remap::get_col | ( | int | idx | ) | const`[inline, virtual]`

Get the colour value for an index number.

Parameters:

  idx | the index.

Returns:
  The colour.

Reimplemented from color_map.

The documentation for this class was generated from the following file:

- base/col_map.h